Firefly开源社区

[Linux] glibc如何升级到2.34

98

积分

0

威望

0

贡献

技术小白

积分
98
发表于 2023-5-16 18:12:03     
在sdk里面编译环境,放Ubuntu里面运行后提示glibc报错,查看Ubuntu里面的版本为2.31,请问下如何升级板子上的环境,或者降低sdk里面的环境
image.png
回复

使用道具 举报

2042

积分

0

威望

0

贡献

中级创客

Rank: 4

积分
2042
发表于 2023-5-17 09:34:36     
下载一个低版本的交叉编译工具来编译你的hello_world,不要用sdk里面的工具
假如你的电脑是ubuntu18,那么直接apt install crossbuild-essential-arm64得到的版本就会比板子上低
回复

使用道具 举报

98

积分

0

威望

0

贡献

技术小白

积分
98
发表于 2023-5-17 20:44:13     
Liuth 发表于 2023-5-17 09:34
下载一个低版本的交叉编译工具来编译你的hello_world,不要用sdk里面的工具
假如你的电脑是ubuntu18,那么 ...

好的,谢谢
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

Copyright © 2014-2022 中山市天启智能科技有限公司 粤ICP备14022046号
快速回复 返回顶部 返回列表